--===================================================
-- SETTINGS
--===================================================
-- Temple of Solomon effects
UPDATE CustomModOptions	SET Value = 1 WHERE Name = 'EVENTS_CITY';
-- Barbarian Camp Cleared lua
UPDATE CustomModOptions	SET Value = 1 WHERE Name = 'EVENTS_BARBARIANS';
-- Milhemet Reshut yields lua
UPDATE CustomModOptions	SET Value = 1 WHERE Name = 'EVENTS_RED_COMBAT';
UPDATE CustomModOptions	SET Value = 1 WHERE Name = 'EVENTS_RED_COMBAT_RESULT';
UPDATE CustomModOptions	SET Value = 1 WHERE Name = 'EVENTS_RED_COMBAT_ENDED';
--------------------------------	
-- Civilization_BuildingClassOverrides
--------------------------------
--------------------------------	
-- Trigger for the 4UC
--------------------------------	
UPDATE Units SET MinorCivGift = 0, Class = 'UNITCLASS_SWORDSMAN' WHERE Type = 'UNIT_ISRAEL_MACCABEE';


INSERT INTO	Civilization_BuildingClassOverrides
			(CivilizationType,				BuildingClassType,				BuildingType)
VALUES		('CIVILIZATION_LEUGI_ISRAEL', 	'BUILDINGCLASS_GRAND_TEMPLE', 	'BUILDING_LEUGI_JERUSALEM_TEMPLE');

INSERT INTO	Civilization_UnitClassOverrides
			(CivilizationType,				UnitClassType,				UnitType)
VALUES		('CIVILIZATION_LEUGI_ISRAEL', 	'UNITCLASS_GREAT_GENERAL', 	'UNIT_ISRAEL_SHOPHET');
--==========================================================================================================================
-- TRAITS
--==========================================================================================================================
INSERT INTO Trait_GreatWorkYieldChanges
	(TraitType, YieldType, Yield)
VALUES
	('TRAIT_CHOSEN_PEOPLE', 'YIELD_FAITH', 2),
	('TRAIT_CHOSEN_PEOPLE', 'YIELD_CULTURE', 2);

INSERT INTO Trait_ImprovementYieldChanges
		(TraitType, 			ImprovementType,	YieldType,			Yield)
SELECT	'TRAIT_CHOSEN_PEOPLE', 	Type, 				'YIELD_CULTURE', 	2
FROM Improvements WHERE CreatedByGreatPerson = 1;

INSERT INTO Trait_ImprovementYieldChanges
		(TraitType, 			ImprovementType,	YieldType,			Yield)
SELECT	'TRAIT_CHOSEN_PEOPLE', 	Type, 				'YIELD_FAITH', 		2
FROM Improvements WHERE CreatedByGreatPerson = 1;
--==========================================================================================================================
-- BUILDINGS
--==========================================================================================================================
------------------------------
-- BuildingClasses
------------------------------
INSERT INTO BuildingClasses
			(Type,										DefaultBuilding, 					NoLimit)
VALUES		('BUILDINGCLASS_JERUSALEM_TEMPLE_DUMMY',	'BUILDING_JERUSALEM_TEMPLE_DUMMY', 	1),
			('BUILDINGCLASS_SHOPHET_DUMMY',				'BUILDING_SHOPHET_DUMMY', 			1);
-----------------------------
--BUILDINGS
-----------------------------
INSERT INTO Buildings
			(Type,								BuildingClass,							Description,								GoldMaintenance,	Cost, FaithCost,	GreatWorkCount, NeverCapture,  NukeImmune, ConquestProb,	HurryCostModifier,	IconAtlas,			PortraitIndex, IsDummy)
VALUES		('BUILDING_JERUSALEM_TEMPLE_DUMMY',	'BUILDINGCLASS_JERUSALEM_TEMPLE_DUMMY',	'TXT_KEY_BUILDING_JERUSALEM_TEMPLE_DUMMY',	0,					-1,   -1,			-1,				1,             1,          0,				-1,					'CIV_COLOR_ATLAS',	0, 				1),
			('BUILDING_SHOPHET_DUMMY',			'BUILDINGCLASS_SHOPHET_DUMMY',			'TXT_KEY_BUILDING_SHOPHET_DUMMY',			0,					-1,   -1,			-1,				1,             1,          0,				-1,					'CIV_COLOR_ATLAS',	0, 				1);

INSERT INTO	Buildings
			(Type,								FreeBuilding, 							Description,								Civilopedia,									Strategy,											Help,											GoldMaintenance, Cost, HurryCostModifier, MinAreaSize, ConquestProb,	BuildingClass, PrereqTech, 		PortraitIndex, IconAtlas,					GlobalConversionModifier, 	ReligiousPressureModifier, 	GreatWorkYieldType,	GoldenAge,	NeverCapture, NukeImmune, NumCityCostMod, GreatWorkSlotType, 		ThemingBonusHelp, 								GreatWorkCount,	NationalPopRequired, 	MinorityHappinessChange, 	MinorityHappinessChangeGlobal)
SELECT		'BUILDING_LEUGI_JERUSALEM_TEMPLE', 	'BUILDINGCLASS_JERUSALEM_TEMPLE_DUMMY', 'TXT_KEY_BUILDING_LEUGI_JERUSALEM_TEMPLE', 'TXT_KEY_BUILDING_LEUGI_JERUSALEM_TEMPLE_TEXT',	'TXT_KEY_BUILDING_LEUGI_JERUSALEM_TEMPLE_STRATEGY',	'TXT_KEY_BUILDING_LEUGI_JERUSALEM_TEMPLE_HELP', GoldMaintenance, Cost, HurryCostModifier, MinAreaSize, ConquestProb,	BuildingClass, 'TECH_MASONRY', 	0,				'JERUSALEM_TEMPLE_ATLAS',	-20, 						100, 						GreatWorkYieldType,	GoldenAge,	NeverCapture, NukeImmune, NumCityCostMod, 'GREAT_WORK_SLOT_MUSIC', 	'TXT_KEY_THEMING_BONUS_JERUSALEM_TEMPLE_HELP', 	3,				6, 						0,							-10
FROM Buildings WHERE Type = 'BUILDING_GRAND_TEMPLE';
------------------------------	
-- Building_ClassesNeededInCity
------------------------------		
INSERT INTO Building_ClassesNeededInCity 	
			(BuildingType, 					BuildingClassType)
VALUES		('BUILDING_LEUGI_JERUSALEM_TEMPLE',	'BUILDINGCLASS_PALACE');
--------------------------------	
-- Building_Flavors
--------------------------------	
INSERT INTO	Building_Flavors
			(BuildingType,						FlavorType,					Flavor)
VALUES		('BUILDING_LEUGI_JERUSALEM_TEMPLE',	'FLAVOR_RELIGION',			140),
			('BUILDING_LEUGI_JERUSALEM_TEMPLE',	'FLAVOR_WONDER',			60),
			('BUILDING_LEUGI_JERUSALEM_TEMPLE',	'FLAVOR_GOLD',				30),
			('BUILDING_LEUGI_JERUSALEM_TEMPLE',	'FLAVOR_CULTURE',			50);
--------------------------------	
-- Building_YieldChanges
--------------------------------	
INSERT INTO Building_YieldChanges
			(BuildingType,						YieldType, 		 	Yield)
VALUES		('BUILDING_LEUGI_JERUSALEM_TEMPLE', 'YIELD_FAITH', 	 	7),
			('BUILDING_LEUGI_JERUSALEM_TEMPLE', 'YIELD_CULTURE', 	3),
			('BUILDING_LEUGI_JERUSALEM_TEMPLE', 'YIELD_GOLD', 		3),
			('BUILDING_SHOPHET_DUMMY', 			'YIELD_CULTURE', 	2),
			('BUILDING_SHOPHET_DUMMY', 			'YIELD_FAITH', 		2);
------------------------------	
-- Building_YieldFromPolicyUnlock
------------------------------
INSERT INTO Building_YieldFromPolicyUnlock
			(BuildingType,						YieldType,		Yield)
VALUES		('BUILDING_LEUGI_JERUSALEM_TEMPLE',	'YIELD_FAITH',	50);
--------------------------------	
-- Building_YieldChangesPerPop
--------------------------------	
INSERT INTO Building_YieldChangesPerPop
			(BuildingType,						YieldType,		Yield)
VALUES		('BUILDING_JERUSALEM_TEMPLE_DUMMY',	'YIELD_FAITH',	25);
------------------------------
-- Building_ResourceYieldChanges
------------------------------
INSERT INTO Building_ResourceYieldChanges
	(BuildingType, ResourceType, YieldType, Yield)
VALUES
	('BUILDING_JERUSALEM_TEMPLE_DUMMY', 'RESOURCE_INCENSE', 'YIELD_CULTURE', 1),
	('BUILDING_JERUSALEM_TEMPLE_DUMMY', 'RESOURCE_INCENSE', 'YIELD_GOLD', 	 1),
	('BUILDING_JERUSALEM_TEMPLE_DUMMY', 'RESOURCE_WINE', 	'YIELD_CULTURE', 1),
	('BUILDING_JERUSALEM_TEMPLE_DUMMY', 'RESOURCE_WINE', 	'YIELD_GOLD', 	 1),
	('BUILDING_JERUSALEM_TEMPLE_DUMMY', 'RESOURCE_AMBER', 	'YIELD_CULTURE', 1),
	('BUILDING_JERUSALEM_TEMPLE_DUMMY', 'RESOURCE_AMBER', 	'YIELD_GOLD', 	 1);
------------------------------	
-- Building_ThemingYieldBonus
------------------------------
INSERT INTO Building_ThemingYieldBonus
			(BuildingType, YieldType, Yield)
VALUES		('BUILDING_LEUGI_JERUSALEM_TEMPLE', 'YIELD_CULTURE', 	5),
			('BUILDING_LEUGI_JERUSALEM_TEMPLE', 'YIELD_GOLD',		5);
------------------------------	
-- Building_ThemingBonuses
------------------------------	
INSERT INTO Building_ThemingBonuses	
			(BuildingType,						Description,								  	Bonus,	SameEra,	RequiresSamePlayer,	AIPriority)
VALUES		('BUILDING_LEUGI_JERUSALEM_TEMPLE',	'TXT_KEY_THEMING_BONUS_JERUSALEM_TEMPLE',		10,		  0,		    1,			     2);
--==========================================================================================================================	
-- IMPROVEMENTS
--==========================================================================================================================
------------------------------
-- Improvement_AdjacentYieldChanges
------------------------------
INSERT INTO Improvement_AdjacentImprovementYieldChanges
			(ImprovementType,		OtherImprovementType,				YieldType,			Yield)
VALUES		('IMPROVEMENT_KIBBUTZ',	'IMPROVEMENT_FARM',					'YIELD_PRODUCTION',	1);

INSERT INTO Improvement_AdjacentImprovementYieldChanges
		(ImprovementType,		OtherImprovementType,	YieldType,			Yield)
SELECT	'IMPROVEMENT_KIBBUTZ', 	Type, 					'YIELD_PRODUCTION', 2
FROM Improvements WHERE CreatedByGreatPerson = 1;
------------------------------
-- Improvement_AdjacentYieldChanges
------------------------------		
INSERT INTO Policy_ImprovementYieldChanges
			(PolicyType,					ImprovementType,		YieldType,			Yield)
VALUES		('POLICY_FIVE_YEAR_PLAN',		'IMPROVEMENT_KIBBUTZ',	'YIELD_PRODUCTION',	1),
			('POLICY_MOBILIZATION',			'IMPROVEMENT_KIBBUTZ',	'YIELD_SCIENCE',	3),
			('POLICY_URBANIZATION',			'IMPROVEMENT_KIBBUTZ',	'YIELD_FOOD',		2);
--==========================================================================================================================	
-- PROMOTIONS
--==========================================================================================================================	
--------------------------------	
-- UnitPromotions
--------------------------------	
INSERT INTO UnitPromotions
		(Type,							Description,							Help,										CannotBeChosen,	Sound,				PortraitIndex,		IconAtlas,			PediaType,		PediaEntry,								AuraEffectChange, 	LostWithUpgrade, 	BarbarianCombatBonus)
VALUES	
		('PROMOTION_PROMISED_LAND',		'TXT_KEY_PROMOTION_PROMISED_LAND',		'TXT_KEY_PROMOTION_PROMISED_LAND_HELP',		1,				'AS2D_IF_LEVELUP',	13,					'PROMOTION_ATLAS',	'PEDIA_SHARED',	'TXT_KEY_PROMOTION_PROMISED_LAND',		0, 					0, 					25),
		('PROMOTION_SHOFAR',			'TXT_KEY_PROMOTION_SHOFAR',				'TXT_KEY_PROMOTION_SHOFAR_HELP',			1,				'AS2D_IF_LEVELUP',	59,					'PROMOTION_ATLAS',	'PEDIA_SHARED',	'TXT_KEY_PROMOTION_SHOFAR',				0, 					0, 					0),
		('PROMOTION_MILHEMET_RESHUT',	'TXT_KEY_PROMOTION_MILHEMET_RESHUT',	'TXT_KEY_PROMOTION_MILHEMET_RESHUT_HELP',	1,				'AS2D_IF_LEVELUP',	10,					'PROMOTION_ATLAS',	'PEDIA_SHARED',	'TXT_KEY_PROMOTION_MILHEMET_RESHUT',	0, 					0, 					0),
		('PROMOTION_SHOPHET',			'TXT_KEY_PROMOTION_SHOPHET',			'TXT_KEY_PROMOTION_SHOPHET_HELP',			1,				'AS2D_IF_LEVELUP',	59,					'PROMOTION_ATLAS',	'PEDIA_SHARED',	'TXT_KEY_PROMOTION_SHOPHET',			0, 					0, 					0);
--------------------------------	
-- Unit_FreePromotions
--------------------------------	
INSERT INTO		Unit_FreePromotions
				(UnitType, 				PromotionType)
SELECT			'UNIT_ISRAEL_MACCABEE', PromotionType
FROM Unit_FreePromotions WHERE UnitType = 'UNIT_SWORDSMAN';

INSERT INTO Unit_FreePromotions 	
		(UnitType, 			PromotionType)
SELECT	'UNIT_ISRAEL_SHOPHET', PromotionType
FROM Unit_FreePromotions WHERE UnitType = 'UNIT_GREAT_GENERAL';	

INSERT INTO Unit_FreePromotions
			(UnitType, 					PromotionType)
VALUES		
--			('UNIT_ISRAEL_SHOPHET',		'PROMOTION_MILHEMET_RESHUT'),
			('UNIT_ISRAEL_SHOPHET',		'PROMOTION_SHOPHET'),
			('UNIT_ISRAEL_SHOPHET',		'PROMOTION_SHOFAR'),
			('UNIT_ISRAEL_MACCABEE', 	'PROMOTION_HASMONEAN');
--------------------------------	
-- Trait_FreePromotionUnitCombats
--------------------------------
INSERT INTO Trait_FreePromotionUnitCombats
	(TraitType, UnitCombatType, PromotionType)
VALUES
	('TRAIT_CHOSEN_PEOPLE', 'UNITCOMBAT_RECON', 		'PROMOTION_PROMISED_LAND'),
	('TRAIT_CHOSEN_PEOPLE', 'UNITCOMBAT_ARCHER', 		'PROMOTION_PROMISED_LAND'),
	('TRAIT_CHOSEN_PEOPLE', 'UNITCOMBAT_MELEE', 		'PROMOTION_PROMISED_LAND'),
	('TRAIT_CHOSEN_PEOPLE', 'UNITCOMBAT_SIEGE', 		'PROMOTION_PROMISED_LAND'),
	('TRAIT_CHOSEN_PEOPLE', 'UNITCOMBAT_GUN', 			'PROMOTION_PROMISED_LAND'),
	('TRAIT_CHOSEN_PEOPLE', 'UNITCOMBAT_HELICOPTER', 	'PROMOTION_PROMISED_LAND'),
	('TRAIT_CHOSEN_PEOPLE', 'UNITCOMBAT_NAVALMELEE', 	'PROMOTION_PROMISED_LAND'),
	('TRAIT_CHOSEN_PEOPLE', 'UNITCOMBAT_NAVALRANGED', 	'PROMOTION_PROMISED_LAND'),
	('TRAIT_CHOSEN_PEOPLE', 'UNITCOMBAT_FIGHTER', 		'PROMOTION_PROMISED_LAND'),
	('TRAIT_CHOSEN_PEOPLE', 'UNITCOMBAT_BOMBER', 		'PROMOTION_PROMISED_LAND'),
	('TRAIT_CHOSEN_PEOPLE', 'UNITCOMBAT_MOUNTED', 		'PROMOTION_PROMISED_LAND'),
	('TRAIT_CHOSEN_PEOPLE', 'UNITCOMBAT_ARMOR', 		'PROMOTION_PROMISED_LAND');
--==========================================================================================================================
-- ARTDEFINES
--==========================================================================================================================	
------------------------------
-- ArtDefine_StrategicView
------------------------------
INSERT INTO ArtDefine_StrategicView (StrategicViewType, TileType, Asset )
	VALUES	('ART_DEF_UNIT_ISRAEL_SHOPHET', 'Unit', 'SV_IsraelLS.dds');
------------------------------
-- ArtDefine_UnitInfos
------------------------------		
INSERT INTO ArtDefine_UnitInfos 
			(Type,							DamageStates,Formation)
	SELECT	('ART_DEF_UNIT_ISRAEL_SHOPHET'), DamageStates, Formation
	FROM ArtDefine_UnitInfos WHERE (Type = 'ART_DEF_UNIT_U_ZULU_IMPI_WARRIOR');
------------------------------
-- ArtDefine_UnitInfoMemberInfos
------------------------------
INSERT INTO ArtDefine_UnitInfoMemberInfos 
			(UnitInfoType,					UnitMemberInfoType,					NumMembers)
	SELECT	('ART_DEF_UNIT_ISRAEL_SHOPHET'), ('ART_DEF_UNIT_ISRAEL_SHOPHET_MEMBER'), 1
	FROM ArtDefine_UnitInfoMemberInfos WHERE (UnitInfoType = 'ART_DEF_UNIT_U_ZULU_IMPI_WARRIOR');
------------------------------
-- ArtDefine_UnitMemberCombats
------------------------------
INSERT INTO ArtDefine_UnitMemberCombats 
			(UnitMemberType, 						EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation)
	SELECT	('ART_DEF_UNIT_ISRAEL_SHOPHET_MEMBER'), EnableActions, DisableActions, MoveRadius, ShortMoveRadius, ChargeRadius, AttackRadius, RangedAttackRadius, MoveRate, ShortMoveRate, TurnRateMin, TurnRateMax, TurnFacingRateMin, TurnFacingRateMax, RollRateMin, RollRateMax, PitchRateMin, PitchRateMax, LOSRadiusScale, TargetRadius, TargetHeight, HasShortRangedAttack, HasLongRangedAttack, HasLeftRightAttack, HasStationaryMelee, HasStationaryRangedAttack, HasRefaceAfterCombat, ReformBeforeCombat, HasIndependentWeaponFacing, HasOpponentTracking, HasCollisionAttack, AttackAltitude, AltitudeDecelerationDistance, OnlyTurnInMovementActions, RushAttackFormation
	FROM ArtDefine_UnitMemberCombats WHERE (UnitMemberType = 'ART_DEF_UNIT_MEMBER_MISSIONARY_01');
------------------------------
-- ArtDefine_UnitMemberCombatWeapons
------------------------------
INSERT INTO ArtDefine_UnitMemberCombatWeapons 
			(UnitMemberType, 						"Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag)
	SELECT 	('ART_DEF_UNIT_ISRAEL_SHOPHET_MEMBER'), "Index", SubIndex, ID, VisKillStrengthMin, VisKillStrengthMax, ProjectileSpeed, ProjectileTurnRateMin, ProjectileTurnRateMax, HitEffect, HitEffectScale, HitRadius, ProjectileChildEffectScale, AreaDamageDelay, ContinuousFire, WaitForEffectCompletion, TargetGround, IsDropped, WeaponTypeTag, WeaponTypeSoundOverrideTag
	FROM ArtDefine_UnitMemberCombatWeapons WHERE (UnitMemberType = 'ART_DEF_UNIT_MEMBER_MISSIONARY_01');
------------------------------
-- ArtDefine_UnitMemberInfos
------------------------------
INSERT INTO ArtDefine_UnitMemberInfos 
			(Type, 									Scale, ZOffset, Domain, Model, 						MaterialTypeTag, MaterialTypeSoundOverrideTag)
	SELECT	('ART_DEF_UNIT_ISRAEL_SHOPHET_MEMBER'), Scale, ZOffset, Domain, 'Swordsman_Babylon.fxsxml', MaterialTypeTag, MaterialTypeSoundOverrideTag
	FROM ArtDefine_UnitMemberInfos WHERE (Type = 'ART_DEF_UNIT_MEMBER_MISSIONARY_01');
------------------------------
-- IconTextureAtlases
------------------------------
INSERT INTO IconTextureAtlases 
			(Atlas, 							IconSize, 	Filename, 						IconsPerRow, 	IconsPerColumn)
VALUES		('UNIT_ISRAEL_SHOPHET_ATLAS', 		256, 		'ISRAEL_SHOFET_256.dds',		1, 				1),
			('UNIT_ISRAEL_SHOPHET_ATLAS', 		128, 		'ISRAEL_SHOFET_128.dds',		1, 				1),
			('UNIT_ISRAEL_SHOPHET_ATLAS', 		80, 		'ISRAEL_SHOFET_080.dds',		1, 				1),
			('UNIT_ISRAEL_SHOPHET_ATLAS', 		64, 		'ISRAEL_SHOFET_064.dds',		1, 				1),
			('UNIT_ISRAEL_SHOPHET_ATLAS', 		45, 		'ISRAEL_SHOFET_045.dds',		1, 				1),
			('UNIT_ISRAEL_SHOPHET_FLAG_ATLAS', 	32, 		'IsraelUnitAlphaAtlas.dds',		1, 				1);
--------------------------------	
-- Units
--------------------------------
INSERT INTO Units 	
			(Type, 					Class, MinorCivGift, 	DontShowYields, WorkRate, CivilianAttackPriority, SupplyCapBoost, 	PrereqTech, RangedCombat, Range, Special, Combat, Cost, ObsoleteTech, GoodyHutUpgradeUnitClass, FaithCost, RequiresFaithPurchaseEnabled, Moves,	CombatClass, Domain,	DefaultUnitAI,	Help, 								Description, 					Civilopedia, 						Strategy, 		 							Pillage, MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, Mechanized, AdvancedStartCost, RangedCombatLimit, CombatLimit, XPValueDefense, UnitArtInfoEraVariation, UnitArtInfo, 					UnitFlagIconOffset,	UnitFlagAtlas,						PortraitIndex, 		IconAtlas,						MoveRate, PurchaseCooldown, GlobalFaithPurchaseCooldown)
SELECT		'UNIT_ISRAEL_SHOPHET',	Class, 0, 				DontShowYields, WorkRate, CivilianAttackPriority, SupplyCapBoost, 	PrereqTech, RangedCombat, Range, Special, Combat, Cost, ObsoleteTech, GoodyHutUpgradeUnitClass, FaithCost, RequiresFaithPurchaseEnabled, Moves, CombatClass, Domain,	DefaultUnitAI,  'TXT_KEY_UNIT_ISRAEL_SHOPHET_HELP',	'TXT_KEY_UNIT_ISRAEL_SHOPHET',  'TXT_KEY_UNIT_ISRAEL_SHOPHET_TEXT',	'TXT_KEY_UNIT_ISRAEL_SHOPHET_STRATEGY',  	Pillage, MilitarySupport, MilitaryProduction, IgnoreBuildingDefense, Mechanized, AdvancedStartCost, RangedCombatLimit, CombatLimit, XPValueDefense, UnitArtInfoEraVariation, 'ART_DEF_UNIT_ISRAEL_SHOPHET',	0,					'UNIT_ISRAEL_SHOPHET_FLAG_ATLAS',	0, 					'UNIT_ISRAEL_SHOPHET_ATLAS', 	MoveRate, PurchaseCooldown, GlobalFaithPurchaseCooldown
FROM Units WHERE Type = 'UNIT_GREAT_GENERAL';
--------------------------------	
-- Unit_Builds
--------------------------------
INSERT INTO Unit_Builds 	
			(UnitType, 			BuildType)
SELECT		'UNIT_ISRAEL_SHOPHET',	BuildType
FROM Unit_Builds WHERE UnitType = 'UNIT_GREAT_GENERAL';
--------------------------------	
-- UnitGameplay2DScripts
--------------------------------		
INSERT INTO UnitGameplay2DScripts 	
			(UnitType, 				SelectionSound, FirstSelectionSound)
SELECT		'UNIT_ISRAEL_SHOPHET', 	SelectionSound, FirstSelectionSound
FROM UnitGameplay2DScripts WHERE UnitType = 'UNIT_GREAT_GENERAL';
--------------------------------		
-- Unit_AITypes
--------------------------------		
INSERT INTO Unit_AITypes 	
		(UnitType, 				UnitAIType)
SELECT	'UNIT_ISRAEL_SHOPHET', UnitAIType
FROM Unit_AITypes WHERE UnitType = 'UNIT_GREAT_GENERAL';
--------------------------------	
-- Unit_Flavors
--------------------------------		
INSERT INTO Unit_Flavors 	
			(UnitType, 				FlavorType, Flavor)
SELECT		'UNIT_ISRAEL_SHOPHET', FlavorType, Flavor
FROM Unit_Flavors WHERE UnitType = 'UNIT_GREAT_GENERAL';
--==========================================================================================================================
-- UNIQUE_NAMES
--==========================================================================================================================
--------------------------------
-- Unit_UniqueNames
--------------------------------
INSERT INTO Unit_UniqueNames 
			(UnitType, 				UniqueName)
VALUES		('UNIT_ISRAEL_SHOPHET',	'TXT_KEY_UNIT_ISRAEL_SHOPHET_1'),
			('UNIT_ISRAEL_SHOPHET',	'TXT_KEY_UNIT_ISRAEL_SHOPHET_2'),
			('UNIT_ISRAEL_SHOPHET',	'TXT_KEY_UNIT_ISRAEL_SHOPHET_3'),
			('UNIT_ISRAEL_SHOPHET',	'TXT_KEY_UNIT_ISRAEL_SHOPHET_4'),
			('UNIT_ISRAEL_SHOPHET',	'TXT_KEY_UNIT_ISRAEL_SHOPHET_5'),
			('UNIT_ISRAEL_SHOPHET',	'TXT_KEY_UNIT_ISRAEL_SHOPHET_6'),
			('UNIT_ISRAEL_SHOPHET',	'TXT_KEY_UNIT_ISRAEL_SHOPHET_7'),
			('UNIT_ISRAEL_SHOPHET',	'TXT_KEY_UNIT_ISRAEL_SHOPHET_8'),
			('UNIT_ISRAEL_SHOPHET',	'TXT_KEY_UNIT_ISRAEL_SHOPHET_9'),
			('UNIT_ISRAEL_SHOPHET',	'TXT_KEY_UNIT_ISRAEL_SHOPHET_10'),
			('UNIT_ISRAEL_SHOPHET',	'TXT_KEY_UNIT_ISRAEL_SHOPHET_11'),
			('UNIT_ISRAEL_SHOPHET',	'TXT_KEY_UNIT_ISRAEL_SHOPHET_12'),
			('UNIT_ISRAEL_SHOPHET',	'TXT_KEY_UNIT_ISRAEL_SHOPHET_13'),
			('UNIT_ISRAEL_SHOPHET',	'TXT_KEY_UNIT_ISRAEL_SHOPHET_14'),
			('UNIT_ISRAEL_SHOPHET',	'TXT_KEY_UNIT_ISRAEL_SHOPHET_15'),
			('UNIT_ISRAEL_SHOPHET',	'TXT_KEY_UNIT_ISRAEL_SHOPHET_16'),
			('UNIT_ISRAEL_SHOPHET',	'TXT_KEY_UNIT_ISRAEL_SHOPHET_17'),
			('UNIT_ISRAEL_SHOPHET',	'TXT_KEY_UNIT_ISRAEL_SHOPHET_18'),
			('UNIT_ISRAEL_SHOPHET',	'TXT_KEY_UNIT_ISRAEL_SHOPHET_19'),
			('UNIT_ISRAEL_SHOPHET',	'TXT_KEY_UNIT_ISRAEL_SHOPHET_20'),
			('UNIT_ISRAEL_SHOPHET',	'TXT_KEY_UNIT_ISRAEL_SHOPHET_21'),
			('UNIT_ISRAEL_SHOPHET',	'TXT_KEY_UNIT_ISRAEL_SHOPHET_22');